<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myIdeasLabel">Create or edit a Ideas</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!ideas.id">
            <label for="id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="ideas.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_titre">Titre</label>
            <input type="text" class="form-control" name="titre" id="field_titre"
                [(ngModel)]="ideas.titre" />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_genre">Genre</label>
            <input type="text" class="form-control" name="genre" id="field_genre"
                [(ngModel)]="ideas.genre" />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_emotions">Emotions</label>
            <input type="text" class="form-control" name="emotions" id="field_emotions"
                [(ngModel)]="ideas.emotions" />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_phraseSynopsis">Phrase Synopsis</label>
            <input type="text" class="form-control" name="phraseSynopsis" id="field_phraseSynopsis"
                [(ngModel)]="ideas.phraseSynopsis" />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_keywords">Keywords</label>
            <input type="text" class="form-control" name="keywords" id="field_keywords"
                [(ngModel)]="ideas.keywords" />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_roles">Roles</label>
            <input type="text" class="form-control" name="roles" id="field_roles"
                [(ngModel)]="ideas.roles" />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span>Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span>Save</span>
        </button>
    </div>
</form>
